Mono.Posix 1.0.5000.0 2.0.0.0 4.0.0.0 System.Enum System.CLSCompliant(false) Possible values.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.Native.FcntlCommand Return a new descriptor as follows:
  Lowest numbered available descriptor greater than or equal to .
  Same object references as the original descriptor.
  New descriptor shares the same file offset if the object was a file.
  Same access mode (read, write or read/write).
  Same file status flags (i.e., both file descriptors share the same file status flags).
  The close-on-exec flag associated with the new file descriptor is set to remain open across system calls.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.Native.FcntlCommand Get the close-on-exec flag associated with the file descriptor fd as FD_CLOEXEC. If the returned value ANDed with FD_CLOEXEC is 0, the file will remain open across exec(), otherwise the file will be closed upon execution of exec() (arg is ignored).
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.Native.FcntlCommand Get descriptor status flags, as described below ( is ignored).
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.Native.FcntlCommand To be added.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.Native.FcntlCommand Get the first lock that blocks the lock description pointed to by the third argument, , taken as a reference to a . The information retrieved overwrites the information passed to in the flock structure. If no lock is found that would prevent this lock from being created, the structure is left unchanged by this system call except for the lock type which is set to .
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.Native.FcntlCommand Get the process ID or process group currently receiving and signals; process groups are returned as negative values ( is ignored).
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.Native.FcntlCommand To be added.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.Native.FcntlCommand To be added.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.Native.FcntlCommand Set the close-on-exec flag associated with fd to arg, where arg is either 0 or FD_CLOEXEC, as described above.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.Native.FcntlCommand Set descriptor status flags to .
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.Native.FcntlCommand To be added.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.Native.FcntlCommand Set or clear a file segment lock according to the lock description pointed to by the third argument, , taken as a pointer to a . is used to establish shared (or read) locks () or exclusive (or write) locks, (), as well as remove either type of lock (). If a shared or exclusive lock cannot be set, returns immediately with .
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.Native.FcntlCommand This command is the same as except that if a shared or exclusive lock is blocked by other locks, the process waits until the request can be satisfied. If a signal that is to be caught is received while is waiting for a region, the will be interrupted if the signal handler has not specified the SA_RESTART (see ).
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.Native.FcntlCommand Set the process or process group to receive and signals; process groups are specified by supplying arg as negative, otherwise arg is interpreted as a process ID.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.Native.FcntlCommand To be added.